unbound: Data Fields - Variables

unbound 0.1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - r -

- rand : daemon
- range_list : replay_scenario
- ratelimit : config_file
- ratelimit_backoff : config_file
- ratelimit_below_domain : config_file
- ratelimit_factor : config_file
- ratelimit_for_domain : config_file
- ratelimit_ok : iter_qstate
- ratelimit_size : config_file
- ratelimit_slabs : config_file
- raw_ednsdata : reply_packet
- rbuffer : http2_stream
- rc : daemon, rc_state
- rc_port : daemon
- rc_ports : daemon
- rcode : ub_result
- read_again : tcp_req_info
- read_frame : dt_io_thread
- read_is_closed : tcp_req_info
- reads_count : http2_session
- ready_frame_sent : dt_io_thread
- reason : key_entry_data
- reason_bogus : errinf_strlist, key_entry_data, reply_info
- reason_bogus_str : reply_info
- reason_fail : subnet_msg_cache_data
- rec_lame : infra_data
- reconnect_is_added : dt_io_thread
- reconnect_timeout : dt_io_thread
- reconnect_timer : dt_io_thread
- recv_tv : comm_point
- ref : reply_info
- referral_count : iter_qstate
- refetch_glue : iter_qstate
- refresh : auth_xfer
- reg_list : alloc_cache
- region : acl_list, ecs_whitelist, edns_strings, iter_donotq, iter_priv, local_zone, module_qstate, serviced_query, tcl_list
- remcachedb : del_info
- remote : fast_reload_printq
- remote_addr : comm_reply
- remote_addrlen : comm_reply
- remote_control_enable : config_file
- rep : dns_msg
- repinfo : comm_point, replay_answer
- replies_sent : mesh_area, mesh_state
- replies_sum_wait : mesh_area
- reply : module_qstate
- reply_from_hex : reply_packet
- reply_len : reply_packet
- reply_list : entry, mesh_state
- reply_origin : module_qstate
- reply_pkt : reply_packet
- res : ctx_query
- res_com : tube
- res_last : tube
- res_list : tube
- res_write : tube
- resolved : delegpt_ns
- respip_action_info : module_qstate
- respip_actions : config_file, config_view
- respip_data : config_file, config_view
- respip_set : fast_reload_construct, module_env, view
- respip_tags : config_file
- response : iter_qstate
- restart_count : val_qstate
- result : lookinfo
- result_list : delegpt
- retry : auth_xfer, serviced_query
- retry_time : autr_point_data
- return_msg : module_qstate
- return_rcode : module_qstate
- reuse : pending_tcp
- reuse_cache : daemon, worker
- reuseport : daemon
- revoked : autr_point_data, autr_ta
- right : compress_tree_node, rbnode_type
- rk : ub_packed_rrset_key
- rnd : doq_server_socket, module_env, outside_network
- rndstate : libworker, worker
- root : rbtree_type
- root_hints : config_file
- root_key_sentinel : config_file
- rpz : auth_zone
- rpz_action : mesh_area, ub_server_stats
- rpz_action_override : config_auth
- rpz_applied : module_qstate
- rpz_az_next : auth_zone
- rpz_az_prev : auth_zone
- rpz_cname : config_auth
- rpz_first : auth_zones
- rpz_lock : auth_zones
- rpz_log : config_auth
- rpz_log_name : config_auth
- rpz_passthru : module_qstate
- rpz_signal_nxdomain_ra : config_auth
- rpz_taglist : config_auth
- rpz_taglistlen : config_auth
- rr : autr_ta, nsec3_cached_hash
- rr_count : rrset_parse
- rr_data : packed_rrset_data
- rr_first : rrset_parse
- rr_idx : canon_rr
- rr_last : rrset_parse
- rr_len : autr_ta, packed_rrset_data
- rr_pipe : ub_ctx
- rr_scan_num : auth_transfer
- rr_ttl : packed_rrset_data
- rrpipe_lock : ub_ctx
- rrset : canon_rr, iter_prep_list, local_rrset, packed_rrset_list
- rrset_all_next : rrset_parse
- rrset_bogus : ub_server_stats
- rrset_bucket_next : rrset_parse
- rrset_cache : module_env
- rrset_cache_count : ub_server_stats
- rrset_cache_max_collisions : ub_server_stats
- rrset_cache_size : config_file
- rrset_cache_slabs : config_file
- rrset_class : packed_rrset_key, rrset_parse
- rrset_count : msg_parse, reply_info
- rrset_data : key_entry_data
- rrset_first : msg_parse
- rrset_last : msg_parse
- rrset_skip : val_qstate
- rrset_type : key_entry_data
- rrsets : auth_data, local_data, reply_info
- rrsig_count : packed_rrset_data, rrset_parse
- rrsig_first : rrset_parse
- rrsig_last : rrset_parse
- rset : perfinfo
- rto : rtt_info
- rtt : infra_data
- rttvar : rtt_info
- run : mesh_area
- run_node : mesh_state
- runtime : fake_commpoint, fake_pending, fake_timer